## org.mortbay.jetty
Class HttpFields.Field

    java.lang.Object
      org.mortbay.jetty.HttpFields.Field

Enclosing class:
  HttpFields

    public static final class HttpFields.Field

extends Object

Method Summary
`int` `getIntValue()`
`long` `getLongValue()`
`String` `getName()`
`int` `getNameOrdinal()`
`String` `getValue()`
`Buffer` `getValueBuffer()`
`int` `getValueOrdinal()`
`void` `put(Buffer buffer)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### put

    public void put(Buffer buffer)
             throws IOException

  Throws:
    `IOException`

### getName

    public String getName()

### getNameOrdinal

    public int getNameOrdinal()

### getValue

    public String getValue()

### getValueBuffer

    public Buffer getValueBuffer()

### getValueOrdinal

    public int getValueOrdinal()

### getIntValue

    public int getIntValue()

### getLongValue

    public long getLongValue()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.